Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.config
Class DynamicLoaderEE

    java.lang.Object
      net.sf.saxon.trans.DynamicLoader
          com.saxonica.config.DynamicLoaderPE
              com.saxonica.config.DynamicLoaderEE

    public class DynamicLoaderEE

extends DynamicLoaderPE

Specialization of DynamicLoader for use in Saxon-EE

Field Summary

Fields inherited from class net.sf.saxon.trans.DynamicLoader
`knownClasses`

Constructor Summary
`DynamicLoaderEE()`

Method Summary
`protected void` | `registerKnownClasses()` Register classes that might be dynamically loaded even though they are contained within Saxon itself.

Methods inherited from class net.sf.saxon.trans.DynamicLoader
`getClass, getClassLoader, getInstance, getInstance, setClassLoader`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynamicLoaderEE

    public DynamicLoaderEE()

Method Detail

### registerKnownClasses

    protected void registerKnownClasses()

  Register classes that might be dynamically loaded even though they are contained within Saxon itself. This typically occurs for default implementations of classes that can be substituted or subclassed by the user.

  Overrides:
    `registerKnownClasses` in class `DynamicLoaderPE`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.